#include<fstream>
#include <bits/stdc++.h>
int i,n,m,j;
int u[100000],v[100000],day[100000];
using namespace std;
int main()
{
	ifstream f1("DC.INP");
	ofstream f2("DC.OUT");
	f1>>n>>m;
	for(i=0;i<n;i++)
	{
		f1>>u[i];
	}
	for(i=0;i<m;i++)
	{
		f1>>v[i];
	}
	sort(u,u+n);
	sort(v,v+m);
	int dem=0;
	for(i=0;i<n;i++)
	{
		for(j=0;j<m;j++)
		{
			if(u[i]==v[j])
			{
				dem++;
				day[dem]=v[j];
				break;
			}
			if(u[i]<v[j]) break;
		}
	}
	f2<<dem<<endl;
	for (i=1;i<=dem;i++) {
		f2 << day[i] << " ";
	}
	return 0;
}
